% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/abess-package.R
\docType{data}
\name{trim32}
\alias{trim32}
\title{The Bardet-Biedl syndrome Gene expression data}
\format{
A data frame with 120 rows and 501 variables, where the first variable is the expression level of TRIM32 gene,
and the remaining 500 variables are 500 gene probes.
}
\description{
Gene expression data (500 gene probes for 120 samples) from the microarray experiments of mammalianeye tissue samples of Scheetz et al. (2006).
}
\details{
In this study, laboratory rats (Rattus norvegicus) were studied to learn about gene expression and regulation in the mammalian eye.
Inbred rat strains were crossed and tissue extracted from the eyes of 120 animals from the F2 generation. Microarrays were used to measure levels of RNA expression in the isolated eye tissues of each subject.
Of the 31,000 different probes, 18,976 were detected at a sufficient level to be considered expressed in the mammalian eye.
For the purposes of this analysis, we treat one of those genes, Trim32, as the outcome.
Trim32 is known to be linked with a genetic disorder called Bardet-Biedl Syndrome (BBS): the mutation (P130S) in Trim32 gives rise to BBS.
}
\note{
This data set contains 120 samples with 500 predictors. The 500 predictors are features with maximum marginal correlation to Trim32 gene.
}
\references{
T. Scheetz, k. Kim, R. Swiderski, A. Philp, T. Braun, K. Knudtson, A. Dorrance, G. DiBona, J. Huang, T. Casavant, V. Sheffield, E. Stone. Regulation of gene expression in the mammalian eye and its relevance to eye disease. Proceedings of the National Academy of Sciences of the United States of America, 2006.
}
